:root {
  --primary: #359381;
  --bg: #57d1f0;
}

* {
  font-family: "Poppins", sans-serif;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  border: none;
  text-decoration: none;
}
html {
  scroll-behavior: smooth;
}

body {
  font-family: "Poppins", sans-serif;
  background-color: white;
  color: #c7d4ff;
  overflow-x: hidden;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-top: 1.1rem;
  padding-bottom: 1.1rem;
  padding-left: 7%;
  padding-right: 2%;
  background-color: rgba(255, 255, 255, 0.829);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 999;
}

.navbar .navbar-logo {
  font-size: 2rem;
  font-weight: 700;
  color: #163832;
  font-style: italic;
}

.navbar .navbar-logo span {
  color: #359381;
  font-size: 1.5rem;
}

.navbar .navbar-nav a {
  color: #359381;
  display: inline-block;
  font-size: 1.5rem;
  font-weight: bold;
  margin: 0.5rem;
}

.navbar .navbar-nav a:hover {
  color: var(--primary);
}

.navbar .navbar-nav a::after {
  color: var(--primary);
}

.navbar .navbar-nav a::after {
  content: "";
  display: block;
  padding-bottom: 0;
  border-bottom: 0.1rem solid var(--primary);
  transform: scaleX(0);
  transition: 0.2s linear;
}

.navbar .navbar-nav a:hover::after {
  transform: scaleX(0.5);
}

.navbar .navbar-nav button {
  padding: 0.2rem 0.5rem;
  background-color: rgba(255, 255, 255, 0.267);
  color: gray;
  border: none;
  border-radius: 8px;
  font-weight: 500;
  cursor: pointer;
  transition: background 0.3s;
  margin-left: 1rem;
  border: 1px gray solid;
}

.navbar .navbar-extra {
  position: absolute;
  right: 10px;
}
.navbar .navbar-extra a {
  color: white;
  margin: 0 0.5rem;
}

.navbar .navbar-extra a:hover {
  color: var(--primary);
}

.navbar-extra #hamburger-menu {
  color: #359381;
  display: none;
}
/* navbar 2 */
.navbar2 {
  position: fixed;
  bottom: 3rem;
  right: 2rem;
  z-index: 1000;
  display: flex;
  flex-direction: column;
  gap: 1rem;
}

.navbar2 .navbar-nav {
  background-color: #359381;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  transition: background-color 0.3s ease;
}

.navbar2 .navbar-nav:hover {
  background-color: orange;
}

.navbar2 .icon-btn {
  background: none;
  border: none;
  padding: 0;
  margin: 0;
  cursor: pointer;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
}

.navbar2 .icon-btn:hover {
  color: black;
}

.navbar2 i {
  width: 24px;
  height: 24px;
}
.threejs-container {
  width: 100px;
  height: 100px;
  position: fixed;
  z-index: 999;
  top: 5rem;
}
/* home */
.home {
  padding: 10rem 7% 1.4rem;
  background-image: url("../img/bgc1.jpg"); /* Ganti dengan path gambar Anda */
  background-size: cover; /* Agar gambar menutupi seluruh area */
  background-position: bottom; /* Pusatkan gambar */
  background-repeat: no-repeat; /* Mencegah pengulangan gambar */
}

.home .row {
  display: flex;
}
.home .row a {
  text-decoration: none;
  color: black;
}
.home .row .home-img {
  max-width: 800px;
  max-height: 800px;
  border-radius: 50%; /* Membuat gambar berbentuk bulat */
  flex: 1 1 45rem; /* Menentukan fleksibilitas elemen dalam row */
  overflow: hidden; /* Menyembunyikan bagian gambar di luar border */
  display: flex; /* Tambahkan agar elemen anak lebih responsif */
  justify-content: center; /* Menyesuaikan posisi gambar secara horizontal */
  align-items: center; /* Menyesuaikan posisi gambar secara vertikal */
  border: 4px solid #f0f0f0; /* Menambahkan border putih agar lebih estetik */
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2); /* Menambahkan bayangan lembut */
  margin-right: 2rem; /* Memberi jarak pada elemen sebelah kanan */
  transition: transform 0.3s ease, box-shadow 0.3s ease; /* Efek interaksi */
}

.home .row .home-img img {
  width: 100%; /* Gambar memenuhi elemen induknya */
  height: auto; /* Mempertahankan rasio gambar */
  object-fit: cover; /* Memastikan gambar tetap proporsional saat dibulatkan */
}
.home .content {
  color: black;
}
.home .row .content {
  flex: 1 1 35rem;
  padding-top: 8rem;
  padding-left: 2rem;
  animation: animate 1.2s ease;
  background-color: rgba(255, 255, 255, 0.288);
  border-radius: 20px;
}

/* Aturan animasi yang diperbaiki */
@keyframes animate {
  from {
    transform: translateX(300px); /* Elemen mulai dari kanan */
    opacity: 0;
  }
  to {
    transform: translateX(0); /* Elemen kembali ke posisi awal */
    opacity: 1;
  }
}

.home .row .content a h3 {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 2.5rem;
}

.home .row .content .job {
  color: #4202f0;
  font-size: 0.8rem;
}

.home .row .content p {
  margin-top: 1.5rem;
  margin-bottom: 1rem;
  font-size: 1rem;
  line-height: 1.6;
  color: black;
}

/* animasi */
.home .row .content #typing-text {
  font-size: 1.5rem;
  font-family: sans-serif;
  white-space: nowrap;
  overflow: hidden;
  border-right: 3px solid;
  width: fit-content;
  animation: typing 3s steps(30, end), blink-caret 0.5s step-end infinite;
}
@keyframes typing {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

@keyframes blink-caret {
  50% {
    border-color: transparent;
  }
}

.home .row .content .detail {
  display: flex;
  align-items: center;
  justify-content: start;
  font-size: 1rem;
  color: #4202f0;
}
.home .row .content .info a {
  color: blue;
}
.home .row .content .controls {
  display: flex;
  text-align: center;
  justify-content: center;
}
.home .row .content .controls #startScroll {
  display: flex;
  align-items: center; /* Menyelaraskan ikon dengan teks */
  padding: 10px 20px; /* Memberikan ruang di dalam tombol */
  border: none; /* Menghilangkan border default tombol */
  background-color: #ffffff00; /* Warna tombol */
  color: black; /* Warna teks tombol */
  font-size: 16px; /* Ukuran teks */
  border-radius: 5px; /* Membulatkan sudut tombol */
  cursor: pointer; /* Menunjukkan tombol dapat diklik */
  transition: background-color 0.3s ease;
}
.home .row .content .controls #startScroll:hover {
  color: #ff9101; /* Warna saat hover */
}
.home .row .content .controls #startScroll i {
  margin-left: 8px; /* Memberikan jarak antara teks dan ikon */
  font-size: 18px; /* Ukuran ikon */
  color: inherit;
}
.home .row .content .controls {
  margin-top: 3rem;
}
/* about */
.about {
  margin: auto;
  max-width: 1400px;
  padding: 4rem;
  color: black;
  padding-top: 8rem;
}
.about .top {
  display: flex;
  justify-content: space-between;
  width: 100%;
  height: 25rem;
  padding-bottom: 3rem;
}

/* ____________________________ */
.top-left {
  width: 50%;
  position: relative;
  perspective: 1000px;
  perspective-origin: center;
  position: relative;
}

/* Animasi mengapung untuk img1 */
@keyframes float {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
}

/* Animasi berputar untuk img2 */
@keyframes spin {
  from {
    transform: rotateX(70deg) rotate(0deg);
  }
  to {
    transform: rotateX(70deg) rotate(360deg);
  }
}

.img1 {
  position: absolute;
  height: 100%;
  left: 0;
  top: -1rem;
  animation: float 3s ease-in-out infinite;
  z-index: 2;
}

.img2 {
  position: absolute;
  height: 100%;
  bottom: -9rem;
  left: 1.8rem;
  animation: spin 5s linear infinite;
  z-index: 1;
  opacity: 0.8;
}

/* ________________________________ */

.about .top .top-right {
  width: 50%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}
.about .top .top-right .top-right-top {
  width: 100%;
  display: flex;
  border: 1px solid gray;
  padding: 1rem;
  border-radius: 5px;
  transition: width 0.3s ease;
}

.about .top .top-right .top-right-top:hover {
  border: 2px solid #359381;
}

.about .top .top-right .top-right-top .box {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.about .top .top-right .top-right-bottom {
  width: 100%;
  display: flex;
  border: 1px solid gray;
  padding: 1rem;
  border-radius: 5px;
  transition: width 0.3s ease;
}
.about .top .top-right .top-right-bottom:hover {
  border: 2px solid #359381;
}

.about .top .top-right .top-right-bottom .box {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.about .top .top-right p {
  text-align: justify;
  color: #163832;
  font-family: sans-serif;
  font-size: 1.5rem;
}

.about .bottom {
  display: flex;
  justify-content: space-between;
  width: 100%;
  height: 25rem;
  margin-top: 2rem;
}
.about .bottom .bottom-left {
  width: 40%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-direction: column;
}
.about .bottom .bottom-left .bottom-left-top {
  width: 100%;
  height: 45%;
  background-color: hsla(0, 0%, 3%, 0.199);
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  position: relative;
}
.about .bottom .bottom-left .bottom-left-top .bottom-left-top-top {
  position: absolute;
  top: 1rem;
  left: 2rem;
}
.about .bottom .bottom-left .bottom-left-top .bottom-left-top-top h6 {
  font-size: 1.8rem;
  color: teal;
  font-weight: 900;
}
.about .bottom .bottom-left .bottom-left-top .bottom-left-top-bottom {
  margin-top: 4rem;
  width: 100%;
  height: 60%;
  display: flex;
  justify-content: space-around;
}
.about .bottom .bottom-left .bottom-left-top .bottom-left-top-bottom img {
  border-radius: 20%;
}

.about .bottom .bottom-left .bottom-left-bottom {
  width: 100%;
  height: 45%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background-color: hsla(0, 0%, 3%, 0.199);
  border-radius: 20px;
}
.about .bottom .bottom-left .bottom-left-bottom h6 {
  font-size: 1.2rem;
  text-align: center;
  line-height: 1.2;
}
.about .bottom .bottom-left .bottom-left-bottom a {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 10rem;
  height: 3rem;
  background-color: green;
  color: white;
  text-decoration: none;
  font-size: 1.2rem;
  font-weight: bold;
  border-radius: 8px;
  transition: all 0.3s ease-in-out;
  position: relative;
  overflow: hidden;
  margin-top: 1.5rem;
}

.about .bottom .bottom-left .bottom-left-bottom a::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 300%;
  height: 300%;
  background: rgba(255, 255, 255, 0.2);
  transition: width 0.5s ease, height 0.5s ease, top 0.5s ease, left 0.5s ease;
  border-radius: 50%;
  transform: translate(-50%, -50%);
}

.about .bottom .bottom-left .bottom-left-bottom a:hover::before {
  width: 0;
  height: 0;
}

.about .bottom .bottom-left .bottom-left-bottom a:hover {
  background-color: darkgreen;
  transform: scale(1.1);
  box-shadow: 0 0 15px rgba(0, 255, 0, 0.5);
}

.about .bottom .bottom-right {
  width: 55%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  border-radius: 30px;
  overflow: hidden;
  position: relative;
  transition: width 0.3s ease;
}
.about .bottom .bottom-right:hover {
  width: 57%;
}
.about .bottom .bottom-right p {
  font-size: 1rem;
  color: black;
  position: absolute;
  left: 5%;
  top: 30%;
}
.about .bottom .bottom-right h6 {
  font-size: 2rem;
  text-align: left;
  line-height: 1.2;
  /* Menyesuaikan warna teks berdasarkan latar belakang */
  color: white; /* Jika latar belakangnya gelap */
  text-shadow: 4px 4px 3px rgba(0, 0, 0, 0.67);
  font-weight: bold;
  position: absolute;
  left: 5%;
  top: 40%;
}
.about .bottom .bottom-right img {
  width: 100%;
}
/* project */
.project {
  padding: 4rem;
}
.project h2 {
  padding-top: 1rem;
  text-align: center;
  font-size: 2.7rem;
  margin-bottom: 4rem;
  /* Gradien hijau tua ke kuning */
  background: linear-gradient(
    90deg,
    #006400,
    #ffd700
  ); /* #006400 = dark green, #FFD700 = gold/yellow */
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;

  text-shadow: 4px 2px 4px rgba(0, 0, 0, 0.308);
}
/* slidebar */
.slider-container {
  margin: auto;
  width: 100%;
  max-width: 1400px;
  position: relative;
  overflow: hidden;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.slides {
  display: flex;
  transition: transform 0.5s ease-in-out;
}

.slide {
  min-width: 100%;
  height: auto; /* Hindari height fixed */
  position: relative; /* Dibutuhkan untuk posisi absolut elemen dalam slide */
  padding-top: 50%; /* Tinggi menjadi 50% dari lebar */
  overflow: hidden; /* Hindari konten keluar dari batas slide */
}

.slide img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.slider-container .controls {
  position: absolute;
  top: 50%;
  width: 100%;
  display: flex;
  justify-content: space-between;
  transform: translateY(-50%);
}

.slider-container .controls .control {
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  font-size: 1.2rem;
  border-radius: 5px;
  transition: background-color 0.3s;
}

.control:hover {
  background-color: rgba(0, 0, 0, 0.8);
}

.indicators {
  position: absolute;
  bottom: 10px;
  width: 100%;
  display: flex;
  justify-content: center;
  gap: 10px;
}

.indicator {
  width: 10px;
  height: 10px;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50%;
  cursor: pointer;
  transition: background-color 0.3s;
}

.indicator.active {
  background-color: white;
}

.project .row {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  gap: 1.5rem;
  margin-top: 4rem;
}

.project .project-card {
  text-align: center;
  border: 1px solid #666;
  border-radius: 8px;
  overflow: hidden;
  transition: transform 0.3s;
  background-color: #fff;
  position: relative; /* Dibutuhkan untuk posisi pseudo-elemen */
  padding: 1rem; /* Memberi ruang di dalam kartu */
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.project .project-card:hover {
  transform: scale(1.1) !important;
}

/* Animasi Border dengan ::before */
.project .project-card::before {
  content: ""; /* Membuat pseudo-elemen */
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 3px solid transparent; /* Border awal transparan */
  border-radius: 8px;
  background: linear-gradient(90deg, green, white, white);
  background-size: 300% 300%; /* Ukuran background lebih besar untuk animasi */
  z-index: 1; /* Di atas konten kartu */
  pointer-events: none; /* Tidak mengganggu interaksi mouse */
  animation: moveBorder 4s linear infinite;
}
/* Animasi Border */
@keyframes moveBorder {
  0% {
    background-position: 0% 50%;
  }
  100% {
    background-position: 100% 50%;
  }
}

/* Overlay agar tidak menutupi konten kartu */
.project .project-card::after {
  content: "";
  position: absolute;
  top: 5px; /* Jarak dengan border luar */
  left: 5px;
  width: calc(100% - 10px);
  height: calc(100% - 10px);
  background-color: #fff;
  border-radius: 8px;
  z-index: 2; /* Di atas border pseudo-elemen */
}

.project .project-image img {
  width: 100%; /* Responsif */
  height: auto;
  display: block;
  z-index: 3; /* Di atas layer animasi */
  position: relative;
}

.project .project-content h3 {
  font-size: 1.8rem;
  color: #333;
  margin: 1rem 0;
  z-index: 3;
  position: relative;
}
.project .project-content span {
  color: #007bff;
  font-size: 1rem;
  z-index: 3;
  position: relative;
}
.project .project-icon {
  display: flex;
  justify-content: space-between;
  gap: 1rem;
  padding: 1rem;
  z-index: 3;
  position: relative;
}

.project .project-icon a {
  text-decoration: none;
  color: #007bff;
  font-size: 1rem;
  padding: 0.5rem;
  transition: background-color 0.3s, color 0.3s;
}

.project .project-icon a:hover {
  color: #f88f05;
  border-bottom: 1px solid #f88f05;
}

/* contact */
.contact {
  padding-top: 2rem;
}

.contact h2 {
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 3rem;
  margin-bottom: 3rem;
  /* Gradien hijau tua ke kuning */
  background: linear-gradient(
    90deg,
    #0f5301,
    #00ccff
  ); /* #006400 = dark green, #FFD700 = gold/yellow */
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;

  text-shadow: 4px 2px 4px rgba(0, 0, 0, 0.308);
  font-weight: bold;
}
.contact p {
  padding-left: 1rem;
  color: black;
}
.contact .container {
  width: 100%;
  display: flex;
}
.contact .container .row {
  width: 100%;
  display: flex;
  flex-direction: column; /* Responsif untuk layar kecil */
  align-items: center;
  margin-top: 0.5rem;

  padding: 1rem; /* Tambahkan padding agar konten tidak terlalu rapat */
}

.contact .container .row form {
  width: 100%;
  max-width: 500px; /* Membatasi lebar form agar tidak terlalu lebar */
  padding: 2rem;
  text-align: center;
  background-color: #02020225;
  border-radius: 8px;
  margin-bottom: 4rem;
}

.contact .container .row form .input-group {
  display: flex;
  align-items: center;
  margin-top: 2rem;
  background-color: white;
  border: 1px solid #eee;
  border-radius: 4px;
  overflow: hidden; /* Menghindari padding yang berlebihan */
}

.contact .container .row form .input-group label {
  color: #000;
  font-size: 1.6rem;
  padding-right: 1rem;
}

.contact .container .row form .input-group input,
.contact .container .row form .input-group textarea {
  width: 100%;
  padding: 1.5rem;
  font-size: 1.7rem;
  background: none;
  border: none;
  outline: none;
  color: black;
}

.contact .container .row form .input-group textarea {
  resize: vertical; /* Membatasi resize hanya vertikal */
}

.contact .container .row form .btn {
  margin-top: 3rem;
  padding: 1rem 2rem;
  font-size: 1.7rem;
  color: #fff;
  background-color: #163832;
  border: none;
  cursor: pointer;
  border-radius: 4px;
  transition: background-color 0.3s ease;
}

.contact .container .row form .btn:hover {
  background-color: #f88f05;
}

footer {
  background-color: #163832;
  text-align: center;
  padding: 0.5rem 0 1rem;
  font-size: 0.8rem;
}

footer {
  padding-top: 1rem;
}
footer .socials a,
footer .links a {
  color: black;
  margin: 1rem;
}
footer .socials a:hover,
footer .links a:hover {
  color: #ffffff;
  border-bottom: 1px solid #163832;
}
footer .socials .links {
  color: black;
}
footer .socials .credit {
  color: black;
}
footer .socials .credit a {
  color: white;
}

/* modal box1 */
.modalbox1 {
  display: none;
  position: fixed;
  z-index: 9999;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.788);
}
.modalbox1 .modal-container {
  background-color: white;
  position: relative;
  color: var(--bg);
  margin: 20px auto;
  padding: 1.2rem;
  border: 1px solid #666;
  width: 80%;
  animation: animateModal 0.5s;
}
@keyframes animateModal {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}

.modalbox .modal-container .modal-content > img {
  margin-left: 10%;
}
.modalbox .modal-container .modal-content .document .doc {
  cursor: pointer;
}

.modalbox1 .modal-container .close-icon1 {
  position: absolute;
  right: 1rem;
}
.modalbox1 .modal-container .modal-content {
}
.modalbox1 .modal-container .modal-content img {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 70%;
  margin-right: 2rem;
  margin-bottom: 2rem;
}
.modalbox1 .modal-container .modal-content h3 {
  font-size: 2.5rem;
  color: black;
}
.modalbox1 .modal-container .modal-content span {
  color: #007bff;
}
.modalbox1 .modal-container .modal-content p {
  font-size: 1.2rem;
  line-height: 1.8rem;
  margin-top: 1.2rem;
  color: black;
}
.modalbox1 .modal-container .modal-content a {
  width: 12rem;
  color: black;
}
.modalbox .modal-container .modal-content .product-content a {
  margin-top: 1rem;
  width: 4rem;
  height: 2rem;
  padding: 0.2rem;
  background-color: #007bff;
  color: white;
  border-radius: 5px;
}
.modalbox1 .modal-container .modal-content .document {
  margin-top: 2rem;
  display: flex;
  margin-bottom: 0.5rem;
}
.modalbox1 .modal-container .modal-content .document .doc {
  width: 20%;
}

/* modalbox2 */
.modalbox2 {
  display: none;
  position: fixed;
  z-index: 9999;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.788);
}
.modalbox2 .modal-container {
  position: relative;
  background-color: #fefefe;
  color: var(--bg);
  margin: 20px auto;
  padding: 1.2rem;
  border: 1px solid #666;
  width: 80%;
  animation: animateModal 0.5s;
}
@keyframes animateModal {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}
.modalbox2 .modal-container .close-icon2 {
  position: absolute;
  right: 1rem;
}
.modalbox2 .modal-container .modal-content {
}
.modalbox2 .modal-container .modal-content img {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 70%;
  margin-right: 2rem;
  margin-bottom: 2rem;
}
.modalbox2 .modal-container .modal-content h3 {
  font-size: 2.5rem;
  color: black;
}
.modalbox2 .modal-container .modal-content span {
  color: #007bff;
}
.modalbox2 .modal-container .modal-content p {
  font-size: 1.2rem;
  line-height: 1.8rem;
  margin-top: 1.2rem;
  color: black;
}
.modalbox2 .modal-container .modal-content a {
  width: 12rem;
  color: black;
}
.modalbox2 .modal-container .modal-content .document {
  margin-top: 2rem;
  display: flex;
  margin-bottom: 0.5rem;
}
.modalbox2 .modal-container .modal-content .document .doc {
  width: 20%;
}

/* modalbox3 */
.modalbox3 {
  display: none;
  position: fixed;
  z-index: 9999;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.788);
}
.modalbox3 .modal-container {
  position: relative;
  background-color: #fefefe;
  color: var(--bg);
  margin: 20px auto;
  padding: 1.2rem;
  border: 1px solid #666;
  width: 80%;
  animation: animateModal 0.5s;
}
@keyframes animateModal {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}
.modalbox3 .modal-container .close-icon3 {
  position: absolute;
  right: 1rem;
}
.modalbox3 .modal-container .modal-content {
}
.modalbox3 .modal-container .modal-content > img {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50%;
  margin-left: 20%;
}
.modalbox3 .modal-container .modal-content h3 {
  font-size: 2.5rem;
  color: black;
}
.modalbox3 .modal-container .modal-content span {
  color: #007bff;
}
.modalbox3 .modal-container .modal-content p {
  font-size: 1.2rem;
  line-height: 1.8rem;
  margin-top: 1.2rem;
  color: black;
}
.modalbox3 .modal-container .modal-content a {
  width: 12rem;
  color: black;
}
.modalbox3 .modal-container .modal-content .document {
  margin-top: 2rem;
  display: flex;
  margin-bottom: 0.5rem;
}
.modalbox3 .modal-container .modal-content .document .doc {
  width: 20%;
}

/* modalbox4 */
.modalbox4 {
  display: none;
  position: fixed;
  z-index: 9999;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.788);
}
.modalbox4 .modal-container {
  position: relative;
  background-color: #fefefe;
  color: var(--bg);
  margin: 20px auto;
  padding: 1.2rem;
  border: 1px solid #666;
  width: 80%;
  animation: animateModal 0.5s;
}
@keyframes animateModal {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}
.modalbox4 .modal-container .close-icon4 {
  position: absolute;
  right: 1rem;
}
.modalbox4 .modal-container .modal-content {
}
.modalbox4 .modal-container .modal-content img {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 70%;
  margin-right: 2rem;
  margin-bottom: 2rem;
}
.modalbox4 .modal-container .modal-content h3 {
  font-size: 2.5rem;
  color: black;
}
.modalbox4 .modal-container .modal-content span {
  color: #007bff;
}
.modalbox4 .modal-container .modal-content p {
  font-size: 1.2rem;
  line-height: 1.8rem;
  margin-top: 1.2rem;
  color: black;
}
.modalbox4 .modal-container .modal-content a {
  width: 12rem;
  color: black;
}
.modalbox4 .modal-container .modal-content .document {
  margin-top: 2rem;
  display: flex;
  margin-bottom: 0.5rem;
}
.modalbox4 .modal-container .modal-content .document .doc {
  width: 20%;
}

/* modalbox5 */
.modalbox5 {
  display: none;
  position: fixed;
  z-index: 9999;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.788);
}
.modalbox5 .modal-container {
  position: relative;
  background-color: #fefefe;
  color: var(--bg);
  margin: 20px auto;
  padding: 1.2rem;
  border: 1px solid #666;
  width: 80%;
  animation: animateModal 0.5s;
}
@keyframes animateModal {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}
.modalbox5 .modal-container .close-icon5 {
  position: absolute;
  right: 1rem;
}
.modalbox5 .modal-container .modal-content {
}
.modalbox5 .modal-container .modal-content img {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 57%;
  margin-right: 2rem;
  margin-bottom: 2rem;
}
.modalbox5 .modal-container .modal-content h3 {
  font-size: 2.5rem;
  color: black;
}
.modalbox5 .modal-container .modal-content span {
  color: #007bff;
}
.modalbox5 .modal-container .modal-content p {
  font-size: 1.2rem;
  line-height: 1.8rem;
  margin-top: 1.2rem;
  color: black;
}
.modalbox5 .modal-container .modal-content a {
  width: 12rem;
  color: black;
}
.modalbox5 .modal-container .modal-content .document {
  margin-top: 2rem;
  display: flex;
  margin-bottom: 0.5rem;
}
.modalbox5 .modal-container .modal-content .document .doc {
  width: 20%;
}

/* modalbox6 */
.modalbox6 {
  display: none;
  position: fixed;
  z-index: 9999;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.788);
}
.modalbox6 .modal-container {
  position: relative;
  background-color: #fefefe;
  color: var(--bg);
  margin: 20px auto;
  padding: 1.2rem;
  border: 1px solid #666;
  width: 80%;
  animation: animateModal 0.5s;
}
@keyframes animateModal {
  from {
    top: -300px;
    opacity: 0;
  }
  to {
    top: 0;
    opacity: 1;
  }
}
.modalbox6 .modal-container .close-icon6 {
  position: absolute;
  right: 1rem;
}
.modalbox6 .modal-container .modal-content {
}
.modalbox6 .modal-container .modal-content img {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 57%;
  margin-right: 2rem;
  margin-bottom: 2rem;
}
.modalbox6 .modal-container .modal-content h3 {
  font-size: 2.5rem;
  color: black;
}
.modalbox6 .modal-container .modal-content span {
  color: #007bff;
}
.modalbox6 .modal-container .modal-content p {
  font-size: 1.2rem;
  line-height: 1.8rem;
  margin-top: 1.2rem;
  color: black;
}
.modalbox6 .modal-container .modal-content a {
  width: 12rem;
  color: black;
}
.modalbox6 .modal-container .modal-content .document {
  margin-top: 2rem;
  display: flex;
  margin-bottom: 0.5rem;
}
.modalbox6 .modal-container .modal-content .document .doc {
  width: 20%;
}

/* modal box umum */
.modalbox .modal-container {
  border-radius: 10px;
  background-image: url("../img/pt1.jpg"); /* Ganti dengan path gambar Anda */
  background-size: cover; /* Agar gambar menutupi seluruh area */
  background-position: center; /* Pusatkan gambar */
  background-repeat: no-repeat; /* Mencegah pengulangan gambar */
}
.modalbox .modal-container img {
  border: 2px gray solid;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

/* mediaQuery */

/* laptop */
@media (max-width: 1366px) {
  html {
    font-size: 80%;
  }
  .home .row .content a h3 {
    font-size: 1.4rem;
    margin-bottom: 0.5rem;
  }
  .home .row .content .controls {
    margin-top: 2rem;
  }
  .modalbox1 .modal-container {
    margin: 10% auto;
  }
  .parallax .parallax-item {
    will-change: transform;
  }
  .about .top .top-right p {
    font-size: 1.3rem;
  }
}

/* tablet */
@media (max-width: 768px) {
  html {
    font-size: 70%;
  }

  .navbar .navbar-extra #hamburger-menu {
    display: inline-block;
  }

  .navbar .navbar-nav {
    position: absolute;
    top: 100%;
    right: -100%;
    background-color: rgba(252, 254, 255, 0.671);
    width: 30rem;
    height: 100vh;
    transition: 0.3s;
    color: #010101;
    padding-left: 1rem;
  }

  .navbar .navbar-nav a {
    color: #010101;
    display: block;
    padding: 1rem;
    font-size: 1.5rem;
  }

  .navbar .navbar-nav.active {
    right: 0;
  }
  .navbar .navbar-nav a::after {
    transform-origin: 0 0;
  }
  .navbar .search-form {
    width: 90%;
    right: 2rem;
  }
  .home .row {
    flex-wrap: wrap;
  }
  .home .row .home-img img {
    height: 24rem;
    object-fit: cover;
    object-position: center;
  }
  .home .row .content {
    padding: 0;
  }
  .home .row .content h3 {
    margin-top: 1rem;
    font-size: 2rem;
  }
  .home .row .content p {
    font-size: 1.6rem;
  }
  .home .row .content p {
    display: none;
  }
  .about .top .top-right p {
    font-size: 1.1rem;
  }
  .about .bottom .bottom-left .bottom-left-top .bottom-left-top-top {
    position: absolute;
    top: 1rem;
    left: 1.5rem;
  }
  .about .bottom .bottom-left .bottom-left-top .bottom-left-top-top h6 {
    font-size: 1.5rem;
    font-weight: 600;
  }
  .about .bottom .bottom-left .bottom-left-top .bottom-left-top-bottom {
    margin-top: 3rem;
    width: 100%;
    height: 40%;
  }
  .about .bottom .bottom-left .bottom-left-top .bottom-left-top-bottom img {
    border-radius: 20%;
  }
  .about .bottom .bottom-left .bottom-left-bottom h6 {
    font-size: 1rem;
  }
  .about .bottom .bottom-left .bottom-left-bottom a {
    font-size: 1rem;
    width: 8rem;
    height: 2.5rem;
  }

  .modalbox1 .modal-container {
    margin: 25% auto;
  }
}

/* hand phone */
@media (max-width: 450px) {
  html {
    font-size: 60%;
  }
  .navbar .navbar-extra {
    right: 8px;
  }

  .home {
    padding: 10rem 7% 1.4rem;
  }

  .home .row .home-img {
    border-radius: 0%;
    display: flex;
    text-align: center;
    justify-content: center;
    border: none; /* Menambahkan border putih agar lebih estetik */
    box-shadow: none; /* Menambahkan bayangan lembut */
    margin-right: 0; /* Memberi jarak pada elemen sebelah kanan */
  }
  .home .row .home-img img {
    width: 60%; /* Gambar akan memenuhi lebar kontainer */
    height: auto; /* Mempertahankan aspek rasio gambar */
    object-fit: cover; /* Menjamin gambar terlihat penuh */
    border-radius: 20%;
  }
  .home .row .content .controls {
    margin-top: 0;
  }
  .about .top {
    display: none;
  }

  .about .bottom .bottom-left .bottom-left-top .bottom-left-top-top {
    position: absolute;
    top: 1rem;
    left: 2rem;
  }
  .about .bottom .bottom-left .bottom-left-top .bottom-left-top-top p {
    display: none;
  }
  .about .bottom .bottom-left .bottom-left-top .bottom-left-top-top h6 {
    margin-top: 0;
    font-size: 1.8rem;
    font-weight: 900;
    line-height: 1.1;
  }
  .about .bottom .bottom-left .bottom-left-top .bottom-left-top-bottom {
    margin-top: 2.2rem;
    width: 100%;
    height: 30%;
  }

  .about .bottom .bottom-left .bottom-left-bottom h6,
  .about .bottom .bottom-left .bottom-left-bottom a {
    font-size: 1rem;
  }
  .about .bottom .bottom-left .bottom-left-bottom a {
    width: 8rem;
    height: 2.2rem;
  }
  .about .bottom .bottom-right img {
    width: auto;
    height: 100%;
  }

  .modalbox .modal-container .modal-content .document {
    display: none;
  }
  .modalbox .modal-container {
    margin: 50% auto;
  }
  .project .slider-container {
    display: none;
  }
  .project .hiden {
    display: none;
  }
  .threejs-container {
    display: none;
  }
}

/* Dark Mode */
/* --------------- */
.dark {
  background: black;
}
.dark .marquee-container {
  position: fixed;
  top: 0;
  width: 100%;
  height: 50px;
  overflow: hidden;
  background: rgba(0, 0, 0, 0.411);
}
.dark .marquee-container .marquee-text {
  position: absolute;
  white-space: nowrap;
  font-size: 24px;
  top: 50%;
  transform: translateY(-50%);
  color: #0ff;
}

.dark .gears {
  position: fixed;
  top: 5rem;
  right: 2rem;
  z-index: 1000;
}
.dark .gears svg {
  width: 3.5rem;
  height: 3.5rem;
  transition: transform 0.1s linear;
  color: #0ff;
}

.home.dark {
  background-image: url("../img/bgc4.jpg");
}

.about.dark,
.project.dark,
.contact.dark {
  background: black;
}

.navbar.dark {
  background: rgba(0, 0, 0, 0);

  align-items: center;
  justify-content: center;
  position: fixed; /* Wajib supaya bisa pakai bottom */
  bottom: 0;
  top: auto;
  width: 100%; /* Agar lebarnya penuh */
  padding: 0.2rem;
}

.navbar.dark .navbar-logo {
  display: none;
}

.navbar.dark .navbar-nav {
  display: none;
}

.navbar.dark a {
  color: #0ff;
  margin-left: 1rem;
  margin-right: 1rem;
  font-size: 3rem;
}

.navbar.dark a i {
  width: 100%;
}
.navbar.dark button {
  background: #000000cb;
  color: #0ff;
  border: 1px solid #0ff;
  padding: 1rem;
  border-radius: 10px;
  font-size: 1.5rem;
  margin-left: 1.5rem;
}
.navbar.dark button:hover {
  background: #0ff;
  color: white;
  border: 1px solid white;
  box-shadow: 0 0 20px white, 0 0 30px #0ff, 0 0 40px #0ff; /* efek glow lebih kuat saat hover */
}

.navbar2.dark {
  display: none;
}
.home.dark {
  padding: 0;
}
.home.dark .img-dark {
  width: 100%;
}
.home.dark .row {
  display: none;
}

.about.dark {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.about.dark .clock-dark {
  width: 100%;
  padding: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
}
.about.dark .clock-dark h2 {
  width: 100%;
  color: rgb(96, 248, 248);
  font-size: 2rem;
}
.about.dark p {
  color: white;
  text-align: justify;
  font-family: sans-serif;
  font-size: 1.5rem;
}
.about.dark .top {
  display: none;
}
.about.dark .bottom {
  display: none;
}

.project.dark {
  display: flex;
  justify-content: center;
}
.project.dark > h2 {
  background: linear-gradient(90deg, #00f0ff, #0066ff); /* gradien biru neon */
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  padding: 1rem;
  display: inline-block;
  position: relative;
  overflow: hidden;
}
.project.dark > h2::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 2px solid #00ffff;
  box-sizing: border-box;
  clip-path: polygon(0 0, 0 0, 0 0, 0 0);
  animation: borderAnimation 4s linear infinite;
}
.threejs-container.dark {
  display: none;
}

@keyframes borderAnimation {
  0% {
    clip-path: polygon(0 0, 0 0, 0 0, 0 0);
  }
  25% {
    clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
  }
  50% {
    clip-path: polygon(0 0, 0 0, 100% 100%, 100% 100%);
  }
  75% {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  }
  100% {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
  }
}

.project.dark .slider-container {
  display: none;
}
.project.dark .row {
  display: none;
}

.contact.dark {
  display: none;
}

footer.dark {
  display: none;
}

/* tablet */
@media (max-width: 768px) {
  .navbar.dark .navbar-extra {
    display: none;
  }
}
/* hand phone dark mode */
@media (max-width: 450px) {
  .navbar.dark button {
    padding: 0.5rem;
    font-family: 0.5rem;
  }
  .dark .marquee-container .marquee-text {
    font-size: 12px;
  }
}
